SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
arch: arm
bsp: altcycv_devkit
build-type: bsp
cflags: []
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
cppflags: []
enabled-by: true
family: altera-cyclone-v
includes: []
install:
- destination: ${BSP_INCLUDEDIR}
  source:
  - bsps/arm/altera-cyclone-v/include/bsp.h
  - bsps/arm/altera-cyclone-v/include/tm27.h
- destination: ${BSP_INCLUDEDIR}/bsp
  source:
  - bsps/arm/altera-cyclone-v/include/bsp/alt_16550_uart.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_address_space.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_cache.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_clock_group.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_clock_manager.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_dma.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_dma_common.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_dma_program.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_generalpurpose_io.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_hwlibs_ver.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_i2c.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_interrupt_common.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_mpu_registers.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_qspi_private.h
  - bsps/arm/altera-cyclone-v/include/bsp/alt_reset_manager.h
  - bsps/arm/altera-cyclone-v/include/bsp/hwlib.h
  - bsps/arm/altera-cyclone-v/include/bsp/i2cdrv.h
  - bsps/arm/altera-cyclone-v/include/bsp/irq.h
- destination: ${BSP_INCLUDEDIR}/bsp/socal
  source:
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_acpidmap.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_clkmgr.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_dmanonsecure.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_dmasecure.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_gpio.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_i2c.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_l3.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_qspi.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_qspidata.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_rstmgr.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_sdr.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_sysmgr.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/alt_uart.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/hps.h
  - bsps/arm/altera-cyclone-v/include/bsp/socal/socal.h
- destination: ${BSP_LIBDIR}
  source:
  - bsps/arm/altera-cyclone-v/start/linkcmds
  - bsps/arm/altera-cyclone-v/start/linkcmds.altcycv
links:
- role: build-dependency
  uid: abi
- role: build-dependency
  uid: objsmp
- role: build-dependency
  uid: opta9periphclk
- role: build-dependency
  uid: optcachedata
- role: build-dependency
  uid: optcacheinst
- role: build-dependency
  uid: optclkfastidle
- role: build-dependency
  uid: optconcfg
- role: build-dependency
  uid: optconuart1
- role: build-dependency
  uid: ../../optfdtcpyro
- role: build-dependency
  uid: optfdten
- role: build-dependency
  uid: ../../optfdtmxsz
- role: build-dependency
  uid: ../../optfdtro
- role: build-dependency
  uid: ../../optfdtuboot
- role: build-dependency
  uid: opti2cspeed
- role: build-dependency
  uid: optnoi2c
- role: build-dependency
  uid: optresetvec
- role: build-dependency
  uid: optuartbaud
- role: build-dependency
  uid: optuartirq
- role: build-dependency
  uid: ../grp
- role: build-dependency
  uid: ../start
- role: build-dependency
  uid: ../../obj
- role: build-dependency
  uid: ../../objirq
- role: build-dependency
  uid: ../../opto2
- role: build-dependency
  uid: ../../bspopts
source:
- bsps/arm/altera-cyclone-v/console/console-config.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_16550_uart.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_address_space.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_clock_manager.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_dma.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_dma_program.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_generalpurpose_io.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_i2c.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_qspi.c
- bsps/arm/altera-cyclone-v/contrib/hwlib/src/hwmgr/alt_reset_manager.c
- bsps/arm/altera-cyclone-v/i2c/i2cdrv-config.c
- bsps/arm/altera-cyclone-v/i2c/i2cdrv.c
- bsps/arm/altera-cyclone-v/rtc/rtc.c
- bsps/arm/altera-cyclone-v/start/bspclean.c
- bsps/arm/altera-cyclone-v/start/bspgetworkarea.c
- bsps/arm/altera-cyclone-v/start/bspreset.c
- bsps/arm/altera-cyclone-v/start/bspstart.c
- bsps/arm/altera-cyclone-v/start/bspstarthooks.c
- bsps/arm/altera-cyclone-v/start/mmu-config.c
- bsps/arm/shared/cache/cache-l2c-310.c
- bsps/arm/shared/clock/clock-a9mpcore.c
- bsps/arm/shared/cp15/arm-cp15-set-exception-handler.c
- bsps/arm/shared/cp15/arm-cp15-set-ttb-entries.c
- bsps/arm/shared/start/bsp-start-memcpy.S
- bsps/shared/dev/btimer/btimer-cpucounter.c
- bsps/shared/dev/getentropy/getentropy-cpucounter.c
- bsps/shared/dev/irq/arm-gicv2.c
- bsps/shared/dev/irq/arm-gicv2-get-attributes.c
- bsps/shared/dev/rtc/rtc-support.c
- bsps/shared/dev/serial/console-termios-init.c
- bsps/shared/dev/serial/console-termios.c
- bsps/shared/irq/irq-default-handler.c
- bsps/shared/start/bsp-fdt.c
- bsps/shared/start/gettargethash-default.c
- bsps/shared/start/mallocinitmulti.c
- bsps/shared/start/sbrk.c
- bsps/shared/start/stackalloc.c
- bsps/shared/start/wkspaceinitmulti.c
type: build
